<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.3.18
Name: Unfallhergang/Beschwerden bei Aufnahme
Description: Beschwerden bei Vorstellung / Grund der Vorstellung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218">
   <title>Unfallhergang/Beschwerden bei Aufnahme</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]
Item: (DGUVChiefcomplaintreasonforvisit)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]
Item: (DGUVChiefcomplaintreasonforvisit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]"
         id="d42e5213-false-d19502e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(DGUVChiefcomplaintreasonforvisit): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']) &gt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']) &lt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]]) &lt;= 1">(DGUVChiefcomplaintreasonforvisit): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']
Item: (DGUVChiefcomplaintreasonforvisit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']"
         id="d42e5217-false-d19561e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DGUVChiefcomplaintreasonforvisit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.3.18')">(DGUVChiefcomplaintreasonforvisit): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.3.18' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (DGUVChiefcomplaintreasonforvisit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:code[(@code = '46239-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5222-false-d19576e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(DGUVChiefcomplaintreasonforvisit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="@nullFlavor or (@code='46239-0' and @codeSystem='2.16.840.1.113883.6.1')">(DGUVChiefcomplaintreasonforvisit): Der Elementinhalt MUSS einer von 'code '46239-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:title[not(@nullFlavor)]
Item: (DGUVChiefcomplaintreasonforvisit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:title[not(@nullFlavor)]"
         id="d42e5227-false-d19592e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(DGUVChiefcomplaintreasonforvisit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="text()='Unfallhergang/Beschwerden bei Aufnahme'">(DGUVChiefcomplaintreasonforvisit): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Unfallhergang/Beschwerden bei Aufnahme'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:text[not(@nullFlavor)]
Item: (DGUVChiefcomplaintreasonforvisit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:text[not(@nullFlavor)]"
         id="d42e5233-false-d19606e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(DGUVChiefcomplaintreasonforvisit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]]
Item: (DGUVChiefcomplaintreasonforvisit)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.18']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="string(@typeCode) = ('COMP')">(DGUVChiefcomplaintreasonforvisit): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.18-2021-04-15T130218.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(DGUVChiefcomplaintreasonforvisit): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
