<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.3.3
Name: Aktuelle Medikation
Description: Aktuelle Medikation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309">
   <title>Aktuelle Medikation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]
Item: (Medicationcurrent)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]
Item: (Medicationcurrent)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]"
         id="d42e5336-false-d19707e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Medicationcurrent): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Medicationcurrent): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']) &gt;= 1">(Medicationcurrent): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']) &lt;= 1">(Medicationcurrent): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Medicationcurrent): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Medicationcurrent): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Medicationcurrent): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Medicationcurrent): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Medicationcurrent): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Medicationcurrent): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']
Item: (Medicationcurrent)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']"
         id="d42e5342-false-d19777e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.3.3')">(Medicationcurrent): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.3.3' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Medicationcurrent)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5347-false-d19792e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="@nullFlavor or (@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')">(Medicationcurrent): Der Elementinhalt MUSS einer von 'code '19009-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:title[not(@nullFlavor)]
Item: (Medicationcurrent)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:title[not(@nullFlavor)]"
         id="d42e5352-false-d19808e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="text()='Medikation'">(Medicationcurrent): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Medikation'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:text[not(@nullFlavor)]
Item: (Medicationcurrent)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:text[not(@nullFlavor)]"
         id="d42e5359-false-d19822e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]
Item: (Medicationcurrent)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.3']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.6']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.3.3-2018-02-06T085309.html"
              test="string(@typeCode) = ('DRIV')">(Medicationcurrent): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
