<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.23
Name: Reha-Maßnahmen Organizer
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801">
   <title>Reha-Maßnahmen Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.23
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]
Item: (RehaMassnahmenOrganizer)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.23
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]
Item: (RehaMassnahmenOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]"
         id="d42e6654-false-d21899e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="@classCode">(RehaMassnahmenOrganizer): Attribut @classCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),'\s'))"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="not(@classCode) or empty($theAttValue[not(. = (('CLUSTER')))])">(RehaMassnahmenOrganizer): Der Wert von classCode MUSS 'Code CLUSTER' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="string(@moodCode) = ('PRP')">(RehaMassnahmenOrganizer): Der Wert von moodCode MUSS 'PRP' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']) &gt;= 1">(RehaMassnahmenOrganizer): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']) &lt;= 1">(RehaMassnahmenOrganizer): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(RehaMassnahmenOrganizer): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(RehaMassnahmenOrganizer): Element hl7:statusCode[@code = 'completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(RehaMassnahmenOrganizer): Element hl7:statusCode[@code = 'completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.23
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']
Item: (RehaMassnahmenOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']"
         id="d42e6663-false-d21956e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(RehaMassnahmenOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.23')">(RehaMassnahmenOrganizer): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.23' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.23
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (RehaMassnahmenOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e6668-false-d21973e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(RehaMassnahmenOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.261.1.11.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(RehaMassnahmenOrganizer): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.261.1.11.9 Reha-Maßnahmenart (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.23
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (RehaMassnahmenOrganizer)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e6673-false-d21994e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(RehaMassnahmenOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="@nullFlavor or (@code='completed')">(RehaMassnahmenOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.23
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]/hl7:component[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]
Item: (RehaMassnahmenOrganizer)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.23']]/hl7:component[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.24']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.23-2018-09-01T181801.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(RehaMassnahmenOrganizer): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
