<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.7
Name: Klassifikation Observation
Description: Dieses Template spiegelt z. B. die AO Klassifikation bei Frakturen wider.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003">
   <title>Klassifikation Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]
Item: (KlassifikationObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]
Item: (KlassifikationObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]"
         id="d42e8159-false-d23986e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="string(@classCode) = ('OBS')">(KlassifikationObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="string(@moodCode) = ('EVN')">(KlassifikationObservation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']) &gt;= 1">(KlassifikationObservation): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']) &lt;= 1">(KlassifikationObservation): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:id) &gt;= 1">(KlassifikationObservation): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(KlassifikationObservation): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(KlassifikationObservation): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:text) &lt;= 1">(KlassifikationObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(KlassifikationObservation): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(KlassifikationObservation): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[../hl7:code/@code='L-AOCLASS'] | hl7:value[not(../hl7:code/@code='L-AOCLASS')])"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="$elmcount &lt;= 1">(KlassifikationObservation): Auswahl (hl7:value[../hl7:code/@code='L-AOCLASS']  oder  hl7:value[not(../hl7:code/@code='L-AOCLASS')]) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:value[../hl7:code/@code='L-AOCLASS']) &lt;= 1">(KlassifikationObservation): Element hl7:value[../hl7:code/@code='L-AOCLASS'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:value[not(../hl7:code/@code='L-AOCLASS')]) &lt;= 1">(KlassifikationObservation): Element hl7:value[not(../hl7:code/@code='L-AOCLASS')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']
Item: (KlassifikationObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']"
         id="d42e8165-false-d24058e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.7')">(KlassifikationObservation): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.7' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:id
Item: (KlassifikationObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (KlassifikationObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.3.1.261.1.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e8172-false-d24080e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(KlassifikationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.3.1.261.1.11.8-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KlassifikationObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.3.1.261.1.11.8 Diagnose Klassifikationen (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:text
Item: (KlassifikationObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:text"
         id="d42e8178-false-d24100e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(KlassifikationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:reference) &gt;= 1">(KlassifikationObservation): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="count(hl7:reference) &lt;= 1">(KlassifikationObservation): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:text/hl7:reference
Item: (KlassifikationObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:text/hl7:reference"
         id="d42e8183-false-d24119e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(KlassifikationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="@value">(KlassifikationObservation): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:statusCode[@code = 'completed']
Item: (KlassifikationObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:statusCode[@code = 'completed']"
         id="d42e8193-false-d24134e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="@nullFlavor or (@code='completed')">(KlassifikationObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:value[../hl7:code/@code='L-AOCLASS']
Item: (KlassifikationObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:value[../hl7:code/@code='L-AOCLASS']"
         id="d42e8200-false-d24145e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(KlassifikationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="region" value="substring(@code, 1,1)"/>
      <let name="position" value="substring(@code, 2,1)"/>
      <let name="complexity" value="substring(@code, 4,1)"/>
      <let name="severity" value="substring(@code, 5,1)"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="matches($region, '[1-9]') and matches($position, '[1-5]') and matches($complexity, '[A|B|C]') and matches($severity, '[1-3]')">(KlassifikationObservation): Kein gültiger AO-Klassifikations-Schlüssel</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="$region=('1','3','4') or not($position='4')">(KlassifikationObservation): Kein gültiger AO-Klassifikations-Schlüssel</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="$region='1' or not($position='5')">(KlassifikationObservation): Kein gültiger AO-Klassifikations-Schlüssel</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.7
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:value[not(../hl7:code/@code='L-AOCLASS')]
Item: (KlassifikationObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.7']]/hl7:value[not(../hl7:code/@code='L-AOCLASS')]"
         id="d42e8235-false-d24153e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.4.7-2018-05-30T141003.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(KlassifikationObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
