<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.2.4
Name: Unfallbetrieb
Description: Unfallbetrieb
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000">
   <title>Unfallbetrieb</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.2.4
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]
Item: (Unfallbetrieb)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.2.4
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]
Item: (Unfallbetrieb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]"
         id="d42e4126-false-d18918e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="string(@typeCode) = ('IND')">(Unfallbetrieb): Der Wert von typeCode MUSS 'IND' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.2.4']) &gt;= 1">(Unfallbetrieb): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.2.4'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.2.4']) &lt;= 1">(Unfallbetrieb): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.2.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]) &gt;= 1">(Unfallbetrieb): Element hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]) &lt;= 1">(Unfallbetrieb): Element hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.2.4
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.2.4']
Item: (Unfallbetrieb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.2.4']"
         id="d42e4130-false-d18952e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Unfallbetrieb): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.2.4')">(Unfallbetrieb): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.2.4' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.2.4
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]
Item: (Unfallbetrieb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]"
         id="d42e4135-false-d18970e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="string(@classCode) = ('CON')">(Unfallbetrieb): Der Wert von classCode MUSS 'CON' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]) &gt;= 1">(Unfallbetrieb): Element hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]) &lt;= 1">(Unfallbetrieb): Element hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:scopingOrganization) &lt;= 1">(Unfallbetrieb): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.2.4
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]
Item: (Unfallbetrieb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]"
         id="d42e4139-false-d19000e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Unfallbetrieb): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="@nullFlavor or (@code='EMPLOYER' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.1.2.2' and @displayName='Employer' and @codeSystemName='IHERoleCode')">(Unfallbetrieb): Der Elementinhalt MUSS einer von 'code 'EMPLOYER' codeSystem '1.3.6.1.4.1.19376.1.5.3.1.2.2' displayName='Employer' codeSystemName='IHERoleCode'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.2.4
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization
Item: (Unfallbetrieb)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization"
         id="d42e4144-false-d19019e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(Unfallbetrieb): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Unfallbetrieb): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(Unfallbetrieb): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(Unfallbetrieb): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.3.1.261.1.10.2.4-2018-06-04T000000.html"
              test="count(hl7:addr) &lt;= 1">(Unfallbetrieb): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization/hl7:id"
         id="d19016e40-false-d19060e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization/hl7:name[not(@nullFlavor)]"
         id="d19016e45-false-d19070e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization/hl7:telecom"
         id="d19016e49-false-d19080e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule fpi="RULC-1"
         context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.3.1.261.1.10.2.4']]/hl7:associatedEntity[hl7:code[(@code = 'EMPLOYER' and @codeSystem = '1.3.6.1.4.1.19376.1.5.3.1.2.2') or @nullFlavor]]/hl7:scopingOrganization/hl7:addr"
         id="d19016e53-false-d19090e0">
      <extends rule="AD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20220218T134557/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
